Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
addresses
List addresses holding native coins sorted by balance - top accounts
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/addresses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/addresses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "exchange_rate": "<string>",
  "items": [
    {
      "coin_balance": "<string>",
      "ens_domain_name": "<string>",
      "hash": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "is_contract": true,
      "is_scam": true,
      "is_verified": true,
      "metadata": {
        "tags": [
          {
            "meta": {},
            "name": "<string>",
            "ordinal": 123,
            "slug": "<string>",
            "tagType": "<string>"
          }
        ]
      },
      "name": "<string>",
      "transactions_count": "<string>",
      "private_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "public_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "watchlist_names": [
        {
          "display_name": "<string>",
          "label": "<string>"
        }
      ]
    }
  ],
  "next_page_params": {
    "fetched_coin_balance": "124355417998347240251800",
    "hash": "0x59708733fbbf64378d9293ec56b977c011a08fd2",
    "transactions_count": null
  },
  "total_supply": "<string>"
}
{
"message": "Unverified email"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

sort
enum<string>

Sort results by:

  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions Should be used together with order parameter.
Available options:
balance,
transactions_count
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
items_count
integer

Number of items per page

Required range: x >= 1
fetched_coin_balance
string | null

Fetched coin balance for paging

Pattern: ^-?([1-9][0-9]*|0)$
hash
string

Address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
transactions_count

Transactions count for paging

Response

List of native coin holders with their balances, with pagination.

exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
items
Address · object[]
required
next_page_params
object | null
required
Example:
{
"fetched_coin_balance": "124355417998347240251800",
"hash": "0x59708733fbbf64378d9293ec56b977c011a08fd2",
"transactions_count": null
}
total_supply
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$